using ImageProcessingGraph.Editor.Nodes.NodeAttributes;

namespace ImageProcessingGraph.Editor.Nodes.String_Nodes
{
    [NodeInfo("String Append", "String/Append")]
    public class StringAppend : BaseImageNode
    {
        [NodeAttributes.Input("String A")] public string baseString;
        [NodeAttributes.Input("String B")] public string appendString;
        
        [NodeAttributes.Output("Appended String")] public string output;
        
        public override void Process()
        {
            this.output = baseString + appendString;
        }
    }
}